Add items to a specific list - Fabric

Add items to a specific list

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/list/{listId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[\
  {\
    "sku": "sku1",\
    "itemId": "123",\
    "quantity": 1\
  }\
]
'```

### Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}/items"

payload = [
{
"sku": "sku1",
"itemId": "123",
"quantity": 1
}
] headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript (Fetch)

const options = {
method: 'POST',
headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'},
body: JSON.stringify([{sku: 'sku1', itemId: '123', quantity: 1}])
};

fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


### PHP
"https://prod01.oms.fabric.inc/api/v2/list/{listId}/items",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "POST",\ CURLOPT_POSTFIELDS => json_encode([\ [\ 'sku' => 'sku1',\ 'itemId' => '123',\ 'quantity' => 1\ ]\ ]),\ CURLOPT_HTTPHEADER => [\ "Authorization: Bearer ",\ "Content-Type: application/json"\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/list/{listId}/items"

payload := strings.NewReader("[\n {\n "sku": "sku1",\n "itemId": "123",\n "quantity": 1\n }\n]")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Java with Unirest

HttpResponse response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/list/{listId}/items") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n "sku": "sku1",\n "itemId": "123",\n "quantity": 1\n }\n]") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/list/{listId}/items")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n "sku": "sku1",\n "itemId": "123",\n "quantity": 1\n }\n]"

response = http.request(request) puts response.read_body


### Response Codes

- **200** - Successfully added item(s) to the list.
- **400** - Bad Request; invalid request data.
- **404** - Object Not Found; the specified list does not exist.
- **500** - Internal Server Error; a server issue occurred.

### Request Body Example

[ { "sku": "sku1", "itemId": "123", "quantity": 1 } ]


### Expected Response

```json
{
  "listId": "5349b4ddd2781d08c09890f4",
  "sku": "sku1",
  "itemId": "123",
  "quantity": 1
}

Error Response Examples

{
  "message": "Bad Request"
}
{
  "message": "Object Not Found."
}
{
  "message": "Internal Server Error"
}

Authorizations